%global realname profile-sync-daemon

Name:           profile-syncd
Version:        6.50
Release:        1%{?dist}
Summary:        Offload browser profiles to RAM for speed and wear reduction
License:        MIT
URL:            https://github.com/graysky2/%{realname}
Source0:        %{url}/archive/v%{version}.tar.gz#/%{realname}-%{version}.tar.gz
BuildArch:      noarch
BuildRequires:  systemd-rpm-macros rsync make
Requires:       rsync

Patch0:         https://gist.github.com/szaszaiz/0d8e4d70fdd772133774ea3df40ada74/raw/0c836caa16cc6286cf8e62d505aa17affb16bba0/psd-pull319.patch

%description
Profile-sync-daemon (psd) symlinks and syncs browser profile dirs to RAM via tmpfs, thus reducing HDD/SSD
calls and speeding-up browsers.

%prep
%autosetup -p1 -n %{realname}-%{version}

%build
%make_build

%install
%make_install

%post
%systemd_user_post psd.service

%preun
%systemd_user_preun psd.service

%postun
%systemd_user_postun_with_restart psd.service

%files
%doc README*
%license MIT LICENSE
%{_bindir}/*
%{_datadir}/psd/*
%dir %{_datadir}/zsh/site-functions/
%{_datadir}/zsh/site-functions/_psd
%{_mandir}/man1/*.1*
%{_userunitdir}/psd*.{service,timer}

%changelog
* Thu Nov 21 2024 Szasza - 6.50-1
- Update to 6.50

* Fri Jan 20 2023 Szasza - 6.48-1
- Update to 6.48

* Mon Jun 20 2022 Szasza - 6.45-1
- Update to 6.45
- Fix backup and crashrecovery (PR #319 replacing PR #297)

* Fri Oct 8 2021 Szasza - 6.44-2
- Fix backups cleanup (PR #297)

* Fri Feb 12 2021 Szasza - 6.44-1
- Update to 6.44
- Fix for more uninterpreted escape sequences in log viewer(s)

* Mon Nov 9 2020 Szasza - 6.42-2
- Fix for uninterpreted escape sequences in log viewer(s)

* Mon Nov 2 2020 Szasza - 6.42-1
- Update to 6.42
- Spec file cleanup

* Tue Sep 17 2019 Szasza - 6.35-1
- Update to 6.35

* Thu Sep 20 2018 Szasza - 6.33-1
- Update to 6.33

* Sun Jan 29 2017 Eduardo Garcia Cebollero <me@egarcia.info>
- Update to 6.31

* Fri Nov 18 2016 Eduardo Garcia Cebollero <me@egarcia.info>
- Update to 6.28

* Tue Sep 8 2015 Eduardo Garcia Cebollero <me@egarcia.info>
- Update to 6.03
- New Version

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.68-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Feb 17 2015 Christopher Meng <rpm@cicku.me> - 5.68-1
- Update to 5.68

* Wed Sep 17 2014 Christopher Meng <rpm@cicku.me> - 5.51-1
- Update to 5.51

* Wed Sep 10 2014 Christopher Meng <rpm@cicku.me> - 5.50-1
- Update to 5.50

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.45.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Jan 20 2014 Christopher Meng <rpm@cicku.me> - 5.45.1-1
- Update to 5.45.1

* Sat Nov 09 2013 Christopher Meng <rpm@cicku.me> - 5.44-1
- Update to 5.44

* Sun Nov 03 2013 Christopher Meng <rpm@cicku.me> - 5.43-1
- Update to 5.43

* Mon Sep 16 2013 Christopher Meng <rpm@cicku.me> - 5.40.1-1
- Update to 5.40.1

* Mon Sep 02 2013 Christopher Meng <rpm@cicku.me> - 5.39-1
- Update to 5.39

* Sun Aug 04 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 5.38.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Jul 25 2013 Christopher Meng <rpm@cicku.me> - 5.38.2-1
- Update to 5.38.2

* Sun Jun 16 2013 Christopher Meng <rpm@cicku.me> - 5.36.2-1
- Update to 5.36.2

* Wed May 29 2013 Christopher Meng <rpm@cicku.me> - 5.35-1
- Initial Package.
